definition module renderGame

/** This module implements a simple rendering of a football match.
*/
import StdIOCommon, StdPSt
import matchControl

/**	renderAttributes
		yields the attributes required by the rendering functions to accurately
		draw a match.
*/
renderAttributes	:: !*env -> (![PenAttribute],!*env) | accScreenPicture env

/**	renderMatch match updSt
		renders a complete match, given the current dimensions of the drawing
		environment (updSt).
*/
renderMatch			:: !Match !UpdateState !*Picture -> *Picture

WestColour			:: Colour
EastColour			:: Colour
