definition module fileIO

/**	Collection of functions that extend functionality of StdFile.
*/

import StdBitmap

/** getImage path env
		expects a bitmap file at path. If this is not the case, the function
		aborts. Otherwise, it returns the bitmap.
*/
getImage :: !String !*env -> (!Bitmap,!*env) | FileSystem env

/** writeFile path content env
		writes content to a currently closed file, located at path, and closes it again.
		The function aborts in case of incorrect path and failing to close the file.
*/
writeFile :: !String !String !*env -> *env | FileSystem env
