definition module FootballerFunctions

/**	mini footballer brains that implement basic functionality.
*/

import Footballer

returnAI			:: FootballerAction -> FootballerAI m		// just return the action
halt				::                     FootballerAI m		// halt lets the footballer stand quite still
rotate				:: Angle			-> FootballerAI m		// rotate over given angle
ahead				:: Velocity			-> FootballerAI m		// follow your nose with given velocity/
fix					:: Position Metre   -> FootballerAI m		// fix p d lets the footballer run to p, with a precision of d
kick				:: Position         -> FootballerAI m		// kick p lets the footballer kick the ball to position p, if in kicking range
track_ball			::                     FootballerAI m		// keep moving to the ball

centerOfGoal		:: !Home !FootballField -> Position
(team)      infix 9	:: !Footballer ![Footballer] -> [Footballer]
(opponents) infix 9	:: !Footballer ![Footballer] -> [Footballer]

getBall				:: !(BrainInput m) -> Football

northwest			:: FootballField -> Position
southwest			:: FootballField -> Position
northeast			:: FootballField -> Position
southeast			:: FootballField -> Position
